﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DataChartBubbleSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Brush brush;

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new BubbleData();
        }

        private void Ellipse_MouseEnter(object sender, MouseEventArgs e)
        {
            brush = (sender as Ellipse).Fill;
            (sender as Ellipse).Fill = Brushes.GreenYellow;
            
        }

        private void Ellipse_MouseLeave(object sender, MouseEventArgs e)
        {
            (sender as Ellipse).Fill = brush;
        }

         
    }

    public class BubbleData
     : ObservableCollection<BubblePoint>
    {
        public BubbleData()
        {
            this.Add(new BubblePoint() { XValue = 4, YValue = 10, Width = 30 });
            this.Add(new BubblePoint() { XValue = 4, YValue = 4, Width = 40 });
            this.Add(new BubblePoint() { XValue = 8, YValue = 8, Width = 20 });
            this.Add(new BubblePoint() { XValue = 10, YValue = 6, Width = 50 });
            this.Add(new BubblePoint() { XValue = 1, YValue = 10, Width = 40 });
        }
    }

    public class BubblePoint
    {
        public double XValue { get; set; }
        public double YValue { get; set; }
        public double Width { get; set; }
    }  
}
